Bug 587075 - Can't send email with en dash (U+2013) in subject line
Can't send email with en dash (U+2013) in subject line
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openchange (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-28 16:05 EDT by Chad Feller
Modified: 2011-06-27 11:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:56:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug output (7.71 KB, application/x-gzip)
2010-05-04 20:07 EDT, Chad Feller
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 562948 None None None Never

  None (edit)
Description Chad Feller 2010-04-28 16:05:12 EDT
Description of problem:
When composing an email, if "en dash" (http://en.wikipedia.org/wiki/Dash#Common_dashes) (U+2013), exists in the subject line, Evolution will fail to send the message, leaving the message in the outbox.

Version-Release number of selected component (if applicable):
  evolution-2.30.1-1.fc13.x86_64
  evolution-mapi-0.30.1-1.fc13.x86_64

How reproducible: always


Steps to Reproduce:
1. Send or reply to email with en dash in subject line
2.
3.
  
Actual results:
email sits in outbox, message:

  Error while Sending message.
  Could not send message.

is displayed

Expected results:
message is sent.

Additional info:
en dash (U+2013) doesn't cause any problems in the message body, only in the subject line.

Debug output on the console during the failed send is as follows:

  Thread 0 >
  CamelFolder:get_message('Outbox', '374') =
  class: CamelMimeMessage
  mime-type: text/plain; charset="UTF-8"
  content class: CamelDataWrapper
  content mime-type: text/plain; charset="UTF-8"
  < 0 >
  CamelException.setv(0x7f69eedbcb70, 303, 'Could not send message.')


This report: 
https://bugs.launchpad.net/ubuntu/+source/evolution-mapi/+bug/558387
is possibly related (non-standard characters).  However it is short on details (i.e., doesn't specify if the problem is limited to the subject line).

Finally, this may be a more generic evolution problem, as I'm currently only using evolution for exchange support and don't have any other accounts (e.g., IMAP) configured.
Comment 1 Milan Crha 2010-04-30 08:41:37 EDT
Thanks for a bug report. This problem should be fortunately related only to evolution-mapi, but I cannot reproduce it with evolution-mapi 0.30.1.
What I did:
a) open evolution and select a MAPI folder
b) create new message (Ctrl+N), ensure the From is the MAPI account
c) set message recipient to myself (also MAPI address), with simple:
   Subject: ndash – and – done
   Body: xxx – xxx
d) send the message.

It's sent and received as expected.

The difference between mine and your machine might be that I use OpenChange from svn, revision 1759, where the OpenChange used in Fedora 13 is older. But I have no clear idea whether any update post 0.9 OpenChange release was related to this issue, though it might be.

When you run evolution from console, and try to send a message, do you see any new text on the console in the time of sending it?
Comment 2 Chad Feller 2010-05-03 14:48:49 EDT
When I try to send the message, I see:

0xef93d0: 1 0 0 | 0 0 0 
0xef93d0: 1 0 0 | 1 1 1
 Searching for added matches '(match-all (system-flag "Deleted"))'

===========
DB SQL operation [BEGIN] started
Camel SQL Exec:
BEGIN
Vfolder '.#evolution/Trash' subfolder changed 'Outbox'
 changed 0 added 1 removed 0
Camel SQL Exec:
COMMIT
DB Operation ended. Time Taken : 0.000287
###########
 Searching for added matches '(match-all (system-flag "Junk"))'

===========
DB SQL operation [BEGIN] started
Camel SQL Exec:
BEGIN
Vfolder '.#evolution/Junk' subfolder changed 'Outbox'
 changed 0 added 1 removed 0
Camel SQL Exec:
COMMIT
DB Operation ended. Time Taken : 0.000323
###########
Thread 0 >
CamelFolder:get_message('Outbox', '438') =
class: CamelMimeMessage
mime-type: text/plain; charset="UTF-8"
content class: CamelDataWrapper
content mime-type: text/plain; charset="UTF-8"
< 0 >
CamelException.setv(0x7f20e53d6b70, 303, 'Could not send message.')

I'm launching evolution with:
CAMEL_DEBUG=all E2K_DEBUG=5 evolution

Does the E2K_DEBUG flag do anything for evolution-mapi, or is that only for the older exchange connector?
Comment 3 Chad Feller 2010-05-04 20:07:08 EDT
Created attachment 411440 [details]
debug output

additional debugging output, created with:
EXCHANGEMAPI_DEBUG=1
MAPI_DEBUG=1
Comment 4 Milan Crha 2010-05-05 07:03:57 EDT
Ah, I found it finally, the openchange revision 1695 is needed to have this working properly, or even better revision r1699. I'm moving this to openchange, as some update there will be needed to have this fixed.

From their ChangeLog:
2010-02-02 jkerihuel [r1699]
   - Fix trac ticket #183: PT_UNICODE properties are now turned to UTF-8
     directly.
		
   - Remove deprecated utf8_convert lexer and windows_to_utf8 routine
		
   - Change openchange tools to use _UNICODE tag version instead
		
   - octool_get_propval now prefer UNICODE properties over PT_STRING8
     ones (default behavior).
		
   - Change mapidump_message API to take an optional mapi_object_t
     message parameter. If the message object is specified, we can have
     access to the subject, and recipients (to, cc, bcc) without having
     to query them within a GetProps call.

  bradh	[r1698]	Fix an ugly cut-n-paste error.
	[r1697]	Add pkg-config support for libmapi++.

2010-02-01 jkerihuel [r1695]
   Fix ticket #123 (known as 562948 on gnome bugzilla):
   "Unable to send mails containing UTF8 strings"
		
   OpenChange was using strlen(str) * 2 + 2 to calculate the 
   expected size for utf16 string. This patch fixes this and
   replaces it with a function that make proper utf8 to utf16 
   conversion.
		
   This commit also replaces PT_STRING8 properties in openchangeclient.c
   with PT_UNICODE ones to ensure utf8 strings get converted properly.
Comment 5 Bug Zapper 2011-06-02 10:45:05 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 11:56:41 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.